yarn install --no-bin-links 后一直失败,有同学执行 sudo apt-get install libpng16-dev 成功,但我执行 sudo apt-get install libpng16-dev 依然失败?

问答 张汉为 ⋅ 于 1个月前 ⋅ 最后回复由 张汉为 1个月前 ⋅ 161 阅读

yarn install --no-bin-links
后一直失败,

vagrant@homestead:~/Code/sample$ yarn install --no-bin-links
yarn install v1.7.0
info No lockfile found.
[1/4] Resolving packages...
warning laravel-mix > img-loader > imagemin-gifsicle > gifsicle > bin-build > download > gulp-decompress > gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
[2/4] Fetching packages...
info fsevents@1.2.4: The platform "linux" is incompatible with this module.
info "fsevents@1.2.4" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
[6/6] ⠐ node-sass
[2/6] ⠐ gifsicle
[-/6] ⠐ waiting...
[-/6] ⠈ waiting...
[5/6] ⠈ pngquant-bin

有同学执行
sudo apt-get install libpng16-dev
成功,但我执行
sudo apt-get install libpng16-dev

vagrant@homestead:~/Code/sample$ sudo apt-get install libpng16-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libpng16-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  libpng-dev:i386 libpng-dev

E: Package 'libpng16-dev' has no installation candidate

依然失败,在网上也找了好多文章都没有成功,望得到大家回复

本文章首发在 Laravel China 社区

一个狂热的好战分子

回复数量: 14
  • shijf 软件工程师 @ 石家庄瑞中电子科技有限公司
  • 张汉为 总经理 @ 百克

    @shijf
    按照这个流程,还是报错.
    yarn config v1.7.0
    success Set "registry" to "https://registry.npm.taobao.org".
    Done in 0.05s.
    vagrant@homestead:~/Code/sample$ yarn install --no-bin-links
    yarn install v1.7.0
    info No lockfile found.
    [1/4] Resolving packages...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    info There appears to be trouble with your network connection. Retrying...
    warning laravel-mix > img-loader > imagemin-gifsicle > gifsicle > bin-build > download > gulp-decompress > gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
    [2/4] Fetching packages...
    info fsevents@1.2.4: The platform "linux" is incompatible with this module.
    info "fsevents@1.2.4" is an optional dependency and failed compatibility check. Excluding it from installation.
    [3/4] Linking dependencies...
    [4/4] Building fresh packages...
    [-/6] ⠄ waiting...
    [-/6] ⡀ waiting...
    [3/6] ⡀ mozjpeg
    [-/6] ⡀ waiting...
    ^C/6] ⡀ pngquant-bin

    1个月前
  • shijf 软件工程师 @ 石家庄瑞中电子科技有限公司

    截图给我

    1个月前
  • 张汉为 总经理 @ 百克

    @shijf
    一会截图给你哈,我把环境删除了,现在重新安装一下

    1个月前
  • 张汉为 总经理 @ 百克

    @shijf

    file

    不好意思 我下午又重新安装了一边环境 走到整理还是出现这个问题,我是win7系统

    1个月前
  • 张汉为 总经理 @ 百克

    @shijf
    一直提示waiting...那结束之后包如下的错误

    file

    1个月前
  • shijf 软件工程师 @ 石家庄瑞中电子科技有限公司

    rm -rf node_modules
    清除了么

    1个月前
  • shijf 软件工程师 @ 石家庄瑞中电子科技有限公司

    file这个是什么

    1个月前
  • 张汉为 总经理 @ 百克

    @shijf 清除了的,我看好多同学说yarn install --no-bin-links 失败,先执行 sudo apt-get install libpng16-dev

    1个月前
  • shijf 软件工程师 @ 石家庄瑞中电子科技有限公司

    @张汉为 好吧 ,加我下QQ ·1035096900·给你远程下

    1个月前
  • shijf 软件工程师 @ 石家庄瑞中电子科技有限公司

    @张汉为 微信不方便控制

    1个月前
  • 张汉为 总经理 @ 百克

    @shijf 恩 我环境装好了好几遍了,都是这个问题 就是我截图的那个问题

    1个月前
  • @张汉为 老哥解决了嘛 我和你的一毛一样

    1个月前
  • 张汉为 总经理 @ 百克

    貌似现在的环境大家都有这个问题,你用npm install 命令安装,具体明天和你说吧,准备睡觉了

    1个月前
您需要登陆以后才能留下评论!

Composer 中国全量镜像

Top 250 扩展包

Lumen 中文文档

Laravel 速查表

Laravel 中文文档

Laravel 项目开发规范

Laravel 开发环境部署

Composer 中文文档

Elasticsearch-PHP 中文文档

Lumen 中文文档

GraphQL PHP 中文文档

社区文档撰写指南

TDD 构建 Laravel 论坛笔记

PHP PSR 标准规范

PHP 设计模式全集

Dingo API 中文文档